Bug 490734 - sat530 installer mentions spacewalk
sat530 installer mentions spacewalk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Devan Goodwin
wes hayutin
: Triaged
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2009-03-17 14:52 EDT by wes hayutin
Modified: 2009-09-10 14:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-03-17 14:52:30 EDT
Description of problem:

3/17/2009 build...

* Pre-install checks complete.  Beginning installation.
* RHN Registration.
** Registration: System is already registered with RHN.  Not re-registering.
* Checking for uninstalled prerequisites.
There are some packages from Red Hat Enterprise Linux that are not part
of the @base group that Satellite will require to be installed on this
system. The installer will try resolve the dependencies automatically.
* Applying updates.
* Installing RHN packages.
* Now running spacewalk-setup.



The satellite installer should not say spacewalk-setup  :)
Comment 1 Jesus M. Rodriguez 2009-03-18 10:11:20 EDT
Why? Are we trying to hide the fact that we are based on Spacewalk? Plus that's the command we actually run.
Comment 2 wes hayutin 2009-03-18 10:37:19 EDT
well obviously this is not a big deal.. but I thought as part of the branding satellite only refers to satellite, spacewalk refers to spacewalk.

Not my call obviously, just thought I'd point it out.  So I can collect my pay check and all.
Comment 3 Clifford Perry 2009-03-24 13:31:34 EDT
myself and Brandon say - it is a canfix, lower priority. 

If we do address, address by adding a symlink of satellite-setup pointing to spacewalk-setup, and then ISO installer calls satellite-setup during installation. 


Cliff.
Comment 4 Devan Goodwin 2009-04-08 14:13:41 EDT
How about I change the message to "Now running setup", do we still want a satellite-setup symlink? If so I can add it to satellite-branding, along with a requirement on spacewalk-setup, which may not be desireable. Let me know what you'd prefer!

IMO we could just change the message and not start symlinking.
Comment 5 Devan Goodwin 2009-04-08 14:22:34 EDT
Text change for install.pl in satellite.git: 58ad791
Comment 6 Devan Goodwin 2009-04-08 14:28:41 EDT
Sorry rebased before I pushed that, correct commit is: b0e7e5df5f00dce374ac2e0e67e8a9dea4de28fd
Comment 7 wes hayutin 2009-04-23 12:38:46 EDT
* Applying updates.
* Installing RHN packages.
* Now running setup.
Comment 9 Brandon Perkins 2009-09-10 14:54:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.